@file:Suppress("HardCodedStringLiteral")

package eu.gaudian.translator.ui.theme.themes

import androidx.compose.ui.graphics.Color
import eu.gaudian.translator.ui.theme.AppTheme
import eu.gaudian.translator.ui.theme.ThemeColorSet

val CrimsonTheme = AppTheme(
    name = "Crimson",
    lightColors = ThemeColorSet(
        primary = Color(0xFFA03F3F),
        secondary = Color(0xFF775656),
        tertiary = Color(0xFF755A2F),
        primaryContainer = Color(0xFFFFDAD9),
        secondaryContainer = Color(0xFFFFDAD9),
        tertiaryContainer = Color(0xFFFFDEAD),
        onPrimary = Color(0xFFFFFFFF),
        onSecondary = Color(0xFFFFFFFF),
        onTertiary = Color(0xFFFFFFFF),
        onPrimaryContainer = Color(0xFF410004),
        onSecondaryContainer = Color(0xFF2C1515),
        onTertiaryContainer = Color(0xFF281900),
        error = Color(0xFFBA1A1A),
        onError = Color(0xFFFFFFFF),
        errorContainer = Color(0xFFFFDAD6),
        onErrorContainer = Color(0xFF410002),
        background = Color(0xFFFCFCFC),
        onBackground = Color(0xFF201A1A),
        surface = Color(0xFFFCFCFC),
        onSurface = Color(0xFF201A1A),
        surfaceVariant = Color(0xFFF4DDDD),
        onSurfaceVariant = Color(0xFF524343),
        outline = Color(0xFF857373),
        outlineVariant = Color(0xFFD7C1C1),
        scrim = Color(0xFF000000),
        inverseSurface = Color(0xFF362F2F),
        inverseOnSurface = Color(0xFFFBEDED),
        inversePrimary = Color(0xFFFFB3B3),
        surfaceDim = Color(0xFFE3D7D7),
        surfaceBright = Color(0xFFFCFCFC),
        surfaceContainerLowest = Color(0xFFFFFFFF),
        surfaceContainerLow = Color(0xFFF7F0F0),
        surfaceContainer = Color(0xFFF1EAEB),
        surfaceContainerHigh = Color(0xFFEBE4E5),
        surfaceContainerHighest = Color(0xFFE5DFDF)
    ),
    darkColors = ThemeColorSet(
        primary = Color(0xFFFFB3B3),
        secondary = Color(0xFFE6BDBC),
        tertiary = Color(0xFFE5C18D),
        primaryContainer = Color(0xFF812829),
        secondaryContainer = Color(0xFF5D3F3F),
        tertiaryContainer = Color(0xFF5B431A),
        onPrimary = Color(0xFF611216),
        onSecondary = Color(0xFF442929),
        onTertiary = Color(0xFF412D05),
        onPrimaryContainer = Color(0xFFFFDAD9),
        onSecondaryContainer = Color(0xFFFFDAD9),
        onTertiaryContainer = Color(0xFFFFDEAD),
        error = Color(0xFFFFB4AB),
        onError = Color(0xFF690005),
        errorContainer = Color(0xFF93000A),
        onErrorContainer = Color(0xFFFFDAD6),
        background = Color(0xFF201A1A),
        onBackground = Color(0xFFEBE0E0),
        surface = Color(0xFF201A1A),
        onSurface = Color(0xFFEBE0E0),
        surfaceVariant = Color(0xFF524343),
        onSurfaceVariant = Color(0xFFD7C1C1),
        outline = Color(0xFFA08C8C),
        outlineVariant = Color(0xFF524343),
        scrim = Color(0xFF000000),
        inverseSurface = Color(0xFFEBE0E0),
        inverseOnSurface = Color(0xFF362F2F),
        inversePrimary = Color(0xFFA03F3F),
        surfaceDim = Color(0xFF171212),
        surfaceBright = Color(0xFF3E3737),
        surfaceContainerLowest = Color(0xFF120D0D),
        surfaceContainerLow = Color(0xFF251E1E),
        surfaceContainer = Color(0xFF2A2222),
        surfaceContainerHigh = Color(0xFF342C2C),
        surfaceContainerHighest = Color(0xFF3F3737),
    )
)